2017-07-27  tuxor1337  <acc-github@tovotu.de>

	* Add catalan translation by Davidmp1 (see PR #142)

2017-05-06  tuxor1337  <acc-github@tovotu.de>

	* Upgrade intellihide.js to latest ver. from dash2dock.

2017-04-29  Thomas Vogt  <tuxor1337@users.noreply.github.com>

	* Merge pull request #135 from rsw0x/master

2017-04-29  Thomas Vogt  <tuxor1337@users.noreply.github.com>

	* Fix double "let" declaration of variable.

2017-04-28  rsw0x  <rsw0x@users.noreply.github.com>

	* fix multimonitor issue

2017-04-13  tuxor1337  <acc-github@tovotu.de>

	* Add pt_BR translation, due to mnwstl, #131.

2017-04-11  Thomas Vogt  <tuxor1337@users.noreply.github.com>

	* Update README.md

2017-04-11  Thomas Vogt  <thomas.vogt@uni-luebeck.de>

	* Add support for 3.24.

2017-04-11  Thomas Vogt  <thomas.vogt@uni-luebeck.de>

	* Correct use of  variable declarations, fixes #128.

2017-04-11  Thomas Vogt  <thomas.vogt@uni-luebeck.de>

	* Force bash exec of Makefile.

2017-01-15  tuxor1337  <acc-github@tovotu.de>

	* Merge pull request #124 from psokol/master

2017-01-15  Piotr Sokół  <psokol.l10n@gmail.com>

	* Added Polish translation

2016-12-02  tuxor1337  <acc-github@tovotu.de>

	* Reintroduce the fix for #74 into new intellihide code.

2016-12-01  tuxor1337  <acc-github@tovotu.de>

	* Upgrade intellihide.js to latest ver. from dash2dock, drop 3.18 support, fix #117.

2016-11-23  tuxor1337  <acc-github@tovotu.de>

	* Don't mention GNOME versions in README.

2016-09-28  tuxor1337  <acc-github@tovotu.de>

	* Merge pull request #111 from theychx/add-3.22

2016-09-28  theychx  <boomingzooming@gmail.com>

	* Add shell version 3.22 to metadata

2016-08-27  tuxor1337  <acc-github@tovotu.de>

	* Added instructions for restarting GNOME Shell

2016-08-15  tuxor1337  <acc-github@tovotu.de>

	* Drop support for GNOME <3.16, close #92, #94

2016-07-27  tuxor1337  <acc-github@tovotu.de>

	* Merge pull request #104 from sc0/overlap-fix

2016-07-27  Kacper Dębowski  <kdebowski93@gmail.com>

	*  Fix for hiding when another instance overlaps

2016-04-12  tuxor1337  <acc-github@tovotu.de>

	* Rename panelVisibilityManager.js in Makefile

2016-04-12  tuxor1337  <acc-github@tovotu.de>

	* Merge pull request #97 from brenoec/master

2016-04-10  Breno Souza  <breno.ec@gmail.com>

	* shell version 3.20 added to metadata.json

2016-01-16  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #90 from 20115681/20115681-patch-1

2016-01-16  Trinh Anh Ngoc  <atw1990@gmail.com>

	* Preference UI: add spacing between rows

2016-01-10  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #89 from narzb/master

2015-12-31  narzb  <marba@tutanota.de>

	* update french translation

2015-12-05  tuxor1337  <tuxor1337@web.de>

	* Higher upper limit for the shortcut delay

2015-12-05  tuxor1337  <tuxor1337@web.de>

	* Remove pressure event filter, fixes #86

2015-12-04  tuxor1337  <tuxor1337@web.de>

	* Bottompanel compatibility, fixes #72.

2015-12-04  tuxor1337  <tuxor1337@web.de>

	* Some code cleanup.

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* No overlapping with notifications, fixes #74.

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* Reset pressure barrier correctly...

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* Make sure _handleShortcut returns null.

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* Reset pressure barrier on monitor change, fixes #80.

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* Update intellihide to latest version from DashToDock.

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* Cleaner TopIcons compatibility.

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* Hack for TopIcon compatibility, fixes #49.

2015-12-03  tuxor1337  <tuxor1337@web.de>

	* If 'shortcut-toggles' is false, repeated pressing prevents hide.

2015-10-25  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #84 from shlinux/master

2015-10-25  shlinux  <lishaohui.qd@163.com>

	* Update Simplified Chinese translation file.

2015-10-14  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #82 from dffischer/master

2015-10-11  XZS  <d.f.fischer@web.de>

	* declare compatible with shell version 3.18

2015-10-11  XZS  <d.f.fischer@web.de>

	* update intellihide to 3.18

2015-09-10  tuxor1337  <tuxor1337@web.de>

	* Hide on init, fixes #76.

2015-09-10  tuxor1337  <tuxor1337@web.de>

	* Fix #75, assert that this._blockerMenu is not null

2015-05-29  tuxor1337  <tuxor1337@web.de>

	* Fix #69, don't rescale panel height.

2015-05-28  tuxor1337  <tuxor1337@web.de>

	* Fix panel hides forever after screen lock.

2015-05-27  tuxor1337  <tuxor1337@web.de>

	* Adjust panel height in addition to moving it. Fixes #68.

2015-05-07  tuxor1337  <tuxor1337@web.de>

	* Merge branch 'master' of https://github.com/mlutfy/hidetopbar

2015-05-07  tuxor1337  <tuxor1337@web.de>

	* Keep track of active tweens, fix #58.

2015-05-06  tuxor1337  <tuxor1337@web.de>

	* Mention tested GNOME versions in README

2015-05-06  tuxor1337  <tuxor1337@web.de>

	* Fix async destroy behaviour.

2015-05-05  tuxor1337  <tuxor1337@web.de>

	* 3.14 compatibility, fixes #66

2015-05-05  tuxor1337  <tuxor1337@web.de>

	* Same GSH syntax as in dash-to-dock.

2015-05-05  tuxor1337  <tuxor1337@web.de>

	* Forgot to init intellihide status.

2015-05-05  tuxor1337  <tuxor1337@web.de>

	* Update intellihide, support 3.16, fix #61.

2015-05-05  Thomas Vogt  <thomas@localhost.localdomain>

	* Add Makefile for easier packaging.

2015-05-05  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #65 from keis/master

2015-05-05  David Keijser  <david.keijser@klarna.com>

	* fix strict violation in preference window

2015-04-03  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #62 from omyno/patch-1

2015-04-03  omyno  <omyno@users.noreply.github.com>

	* Compatibility with GNOME 3.16

2015-02-23  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #60 from butitsnotme/intellihide-active-window

2015-02-23  Dennis Bellinger  <dennis.bellinger@gmail.com>

	* Fixed typo, mistyped 'disconnect' in extension.js

2015-02-22  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #59 from butitsnotme/intellihide-active-window

2015-02-22  Dennis Bellinger  <dennis.bellinger@gmail.com>

	* Added the option to intellihide only for the active window

2015-01-17  tuxor1337  <tuxor1337@web.de>

	* Add multimonitor support #47 #46

2014-12-09  tuxor1337  <tuxor1337@web.de>

	* Fix #57.

2014-12-04  tuxor1337  <tuxor1337@web.de>

	* Replace staticBox getter by really "static" value

2014-12-04  tuxor1337  <tuxor1337@web.de>

	* interpret shortcut-delay==0 as unlimited delay

2014-12-03  tuxor1337  <tuxor1337@web.de>

	* Keep intellihide staticbox up to date

2014-11-20  tuxor1337  <tuxor1337@web.de>

	* Never hide panel while in overview

2014-11-19  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #55 from nfubh/master

2014-11-19  Tagir Bakirov  <tagir.bakirov@ericsson.com>

	* changed shortcut behaviour from "show" to "toggle"

2014-10-31  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #53 from jonnius/master

2014-10-31  Jonatan Zeidler  <jonatan_zeidler@gmx.de>

	* Update German (de)

2014-10-31  jonnius  <jonatan_zeidler@gmx.de>

	* Merge pull request #3 from mlutfy/master

2014-10-25  tuxor1337  <tuxor1337@web.de>

	* Reinclude intellihide licensing information

2014-10-21  tuxor1337  <tuxor1337@web.de>

	* Disconnect intellihide-settings-changed signal

2014-10-21  tuxor1337  <tuxor1337@web.de>

	* Update metadata.json

2014-10-21  Thomas Vogt  <tuxor1337@web.de>

	* Make intellihide feature optional

2014-10-14  tuxor1337  <tuxor1337@web.de>

	* Allow for shortcut-delay < 1.0

2014-10-08  jonnius  <jonatan_zeidler@gmx.de>

	* Merge pull request #2 from mlutfy/master

2014-10-03  tuxor1337  <tuxor1337@web.de>

	* Licensing for intellihide from dash to dock

2014-10-03  Thomas Vogt  <tuxor1337@web.de>

	* Add intellihide feature.

2014-09-25  Mathieu Lutfy  <mathieu@bidon.ca>

	* README.md: updated the versions mentioned, and updated/simplified the copyright section.

2014-09-25  Mathieu Lutfy  <mathieu@bidon.ca>

	* metadata.json: add support for Gnome 3.14

2014-08-03  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #48 from coldtobi/master

2014-08-02  Tobias Frost  <tobi@coldtobi.de>

	* Translation update: pot file and German translation

2014-05-11  tuxor1337  <tuxor1337@web.de>

	* An attempt in attacking #40

2014-04-24  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #45 from jtheoof/master

2014-04-24  Jeremy Attali  <jeremy.attali@gmail.com>

	* Add support for Gnome 3.12

2014-04-06  Thomas Vogt  <tuxor1337@web.de>

	* Smoothen timeout behaviour

2014-04-06  Thomas Vogt  <tuxor1337@web.de>

	* Resolve #26

2014-03-03  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #44 from amiller27/master

2014-03-01  Aaron Miller  <acmiller273@gmail.com>

	* fixed bug with fullscreen windows

2014-01-18  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #39 from coldtobi/master

2014-01-18  Tobias Frost  <tobi@coldtobi.de>

	* Add pot template, update po files (missing strings)

2013-12-27  Thomas Vogt  <tuxor1337@web.de>

	* Typo

2013-12-27  Thomas Vogt  <tuxor1337@web.de>

	* Add pressure sensitivity parameter to settings, fixes #38.

2013-12-15  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #36 from olabini/master

2013-12-15  Ola Bini  <ola.bini@gmail.com>

	* Remove two warnings by adding ending semicolon and removing an ending comma. Fix two crashing bugs based on assignment to variables that were never declared

2013-11-22  tuxor1337  <tuxor1337@web.de>

	* fixes issue #35

2013-11-05  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-11-05  tuxor1337  <tuxor1337@web.de>

	* Drop 3.6 support in favor of 3.10 support.

2013-10-12  tuxor1337  <tuxor1337@web.de>

	* Update hidetopbar.po

2013-10-12  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #33 from abcdabcd987/master

2013-10-06  Lequn Chen  <chenlequn22@gmail.com>

	* added zh_CN translation

2013-10-06  Lequn Chen  <chenlequn22@gmail.com>

	* added zh_CN translation

2013-09-12  jonnius  <jonatan_zeidler@gmx.de>

	* Merge pull request #1 from mlutfy/master

2013-08-26  tuxor1337  <tuxor1337@web.de>

	* Add option wrt issue #20

2013-08-25  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-08-25  tuxor1337  <tuxor1337@web.de>

	* Following recommendation in #28

2013-08-25  tuxor1337  <tuxor1337@web.de>

	* Add pressure-barrier option, fix issue #28

2013-08-25  tuxor1337  <tuxor1337@web.de>

	* Optional support for pressure barriers

2013-08-25  tuxor1337  <tuxor1337@web.de>

	* Code restructure, resolve issues #22 and #27

2013-05-29  tuxor1337  <tuxor1337@web.de>

	* Fix menu handling on leave

2013-05-28  tuxor1337  <tuxor1337@web.de>

	* Typo

2013-05-17  tuxor1337  <tuxor1337@web.de>

	* Merge pull request #21 from jonnius/master

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* add description to po-file

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Merge branch 'master' of https://github.com/jonnius/hidetopbar

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Translation

2013-05-17  jonnius  <jonatan_zeidler@gmx.de>

	* Translation

2013-04-27  tuxor1337  <tuxor1337@web.de>

	* Attempt producing smoother animation for 3.8.

2013-04-25  tuxor1337  <tuxor1337@web.de>

	* typo

2013-04-24  tuxor1337  <tuxor1337@web.de>

	* "mouse-sensitive" option depends on "hot-corner"

2013-04-24  tuxor1337  <tuxor1337@web.de>

	* Add 3.8 support

2013-04-24  tuxor1337  <tuxor1337@web.de>

	* Typo

2013-04-18  Thomas Vogt  <tuxor1337@web.de>

	* Regarding dearboy's feature request on extensions.gnome.org.

2013-03-23  tuxor1337  <tuxor1337@web.de>

	* Again concerning issue #13

2013-03-22  tuxor1337  <tuxor1337@web.de>

	* Fixes issue #13

2013-03-17  tuxor1337  <tuxor1337@web.de>

	* Fix issue #12

2013-03-13  tuxor1337  <tuxor1337@web.de>

	* Rounded corners issue

2013-03-13  tuxor1337  <tuxor1337@web.de>

	* Remove redundant line of code.

2013-03-11  tuxor1337  <tuxor1337@web.de>

	* Code cleanup and panel opacity

2013-03-04  Thomas Vogt  <tuxor1337@web.de>

	* Some cosmetical changes to the code.

2013-03-04  Thomas Vogt  <tuxor1337@web.de>

	* Fix problems when disabling extension after having enabled autohide option.

2013-02-21  Thomas Vogt  <tuxor1337@web.de>

	* Removed reference to fpmurphy due to a complete rewrite from scratch.

2013-02-21  Thomas Vogt  <tuxor1337@web.de>

	* Complete rewrite and implementation of option added in 881f993

2013-02-21  Thomas Vogt  <tuxor1337@web.de>

	* Add option to show top bar when mouse moves to the top.

2013-02-20  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-02-18  Thomas Vogt  <tuxor1337@web.de>

	* Add option to enable/disable hot corner when panel is hidden.

2013-02-18  Thomas Vogt  <tuxor1337@web.de>

	* Merge branch 'master' of https://github.com/mlutfy/hidetopbar

2013-02-18  Thomas Vogt  <tuxor1337@web.de>

	* Add PanelBox handling to fix issue #7

2013-02-18  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-02-18  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-02-18  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-02-18  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-02-18  tuxor1337  <tuxor1337@web.de>

	* Update README.md

2013-02-18  Thomas Vogt  <tuxor1337@web.de>

	* Some code cleanup.

2013-02-08  Thomas Vogt  <tuxor1337@web.de>

	* Fix issues #3 #4 #5

2013-01-06  Mathieu Lutfy  <mathieu@bidon.ca>

	* rollback the Main.panel.actor.set_height() until the addTween is fixed.

2013-01-06  Mathieu Lutfy  <mathieu@bidon.ca>

	* show how to enable using gnome-shell-extension-tool, and update Copyright/credits

2013-01-06  Thomas Vogt  <tuxor1337@web.de>

	* Smoother animations: use show/hide events (instead of showing/hiding), fix relayout to avoid stepping over the search bar in overview mode, and smoother tweener animations.

2013-01-06  Thomas Vogt  <tuxor1337@web.de>

	* Rename AUTOHIDE_TIME const to ANIMATION_TIME

2013-01-06  Mathieu Lutfy  <mathieu@bidon.ca>

	* remove unnecessary whitespace in code

2013-01-02  Thomas Vogt  <tuxor1337@web.de>

	* Avoid hardcoding the PANEL_HEIGHT

2013-01-02  Mathieu Lutfy  <mathieu@bidon.ca>

	* Convert to a 'prototype' based on fpmurphy's code + Thomas Vogt's feedback, so that we can properly disconnect the events when the extension is disabled.

2013-01-02  Mathieu Lutfy  <mathieu@bidon.ca>

	* Issue #2 : fix const name.

2012-12-18  Mathieu Lutfy  <mathieu@bidon.ca>

	* add relevant links to the description, because extensions.gnome.org resets the page's description everytime.

2012-12-18  Mathieu Lutfy  <mathieu@bidon.ca>

	* add contributor to (c) + link to repo in extension.js

2012-12-18  Philip Witte  <witte2008@gmail.com>

	* Issue #2 : fix maximized window glitch when going to/from overview mode in gnome-shell 3.6

2012-12-18  Mathieu Lutfy  <mathieu@bidon.ca>

	* remove empty stylesheet.css

2012-12-10  Mathieu Lutfy  <mathieu@bidon.ca>

	* shell-version 3.6, not 3.6.1, otherwise incompatible with other minor versions.

2012-11-22  Mathieu Lutfy  <mathieu@bidon.ca>

	* move init() code to enable/disable.

2012-11-22  Mathieu Lutfy  <mathieu@bidon.ca>

	* remove hello-world example

2012-11-22  Mathieu Lutfy  <mathieu@bidon.ca>

	* add (C) ML

2012-11-22  Mathieu Lutfy  <mathieu@bidon.ca>

	* fix description

2012-11-22  Mathieu Lutfy  <mathieu@bidon.ca>

	* add README

2012-11-22  Mathieu Lutfy  <mathieu@bidon.ca>

	* init
